TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RationalReconstruction ( elt-mdl^vec X ) -> elt-mdl^vec

### Description

<shortdoc> Given a matrix X over a prime finite field K, return true and the matrix over Q obtained from X by rational reconstruction of each of its entries if possible; return false otherwise. </shortdoc>

### Examples

x_F := FiniteField(13); x_V := VectorSpace(x_F, 7); x_v := x_V.2; RationalReconstruction(x_v); x_w := 23*x_V.2 - 3*x_V.3; RationalReconstruction(x_w);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack